#
# spec file for package tiff (Version 3.5.7)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libjpeg
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libjpeg libtool perl rpm

Name:         tiff
License:      FSR, Other License(s), see package
Group:        Productivity/Graphics/Convertors
Autoreqprov:  on
URL:          http://www.remotesensing.org/libtiff/
Version:      3.5.7
Release:      383
Summary:      Tools for converting from/to tiff
Source:       ftp://ftp.onshore.com/pub/libtiff/tiff-v%{version}.tar.bz2
Source1:      jpegint.h
Patch:        tiff-v%{version}.dif
Patch1:       tiff-v%{version}-tempfile.patch
Patch2:       tiff-v%{version}-seek.patch
Patch3:       tiff-v%{version}-exit.patch
Patch4:       tiff-v%{version}-64bit.patch
Patch5:       libtiff-up-bound.patch
Patch6:       tiff-maxscanline.patch
Patch7:       libtiff-3.5.7-alt-bound.patch
Patch8:       libtiff-3.5.7-alt-bound-fix.patch
Patch9:       libtiff-3.5.7-up-ChopUpSingleUncompressedStrip.patch
Patch10:      libtiff-3.5.7-unsupported-codecs.patch
Patch11:      libtiff-3.7.1-overflow.patch
Patch12:      tiff-v%{version}-BitsPerSample.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Library and support programs for the TIFF image format.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%package -n libtiff
Summary:      The Tiff Library (with JPEG and compression support)
Group:        System/Libraries
Provides:     libtiff-devel
Autoreqprov:  on

%description -n libtiff
This package includes the tiff libraries. To link a program with
libtiff, you will have to add -ljpeg and -lz to include the necessary
libjpeg and libz in the linking process.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%prep
%setup -q -n tiff-v%{version}
%patch
%patch1 -p1 -b .tempfile
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p1
%patch8
%patch9
%patch10
%patch11
%patch12
cp %{S:1} libtiff
find -type d -name "CVS" | xargs rm -rfv
find -type d | xargs chmod 755

%build
MANPATH="%{_mandir}" OPTIMIZER="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr  --noninteractive --with-JPEG --with-ZIP
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/{man1,man3},usr/{bin,lib,include}}
make  install DESTDIR=$RPM_BUILD_ROOT 
%ifarch s390x sparc64 ppc64 x86_64
mkdir -p $RPM_BUILD_ROOT/usr/lib64
mv -v $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT/usr/lib64/
%endif
ln -sf libtiff.so.3 $RPM_BUILD_ROOT/usr/%{_lib}/libtiff.so
for f in `find $RPM_BUILD_ROOT/%{_mandir} -type f -print ` ; do
  if [ `wc -l <$f` -eq 1 ] && grep -q "^\.so " $f ; then
    linkto=`sed -e "s|^\.so ||" $f`
    [ -f "`dirname $f`/$linkto" ] && ln -sf "$linkto" $f
  fi
done
  

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
%doc html
%doc %{_mandir}/*/*

%files -n libtiff
/usr/include/*
%{_libdir}/*

%changelog -n tiff
* Mon May 09 2005 - nadvornik@suse.cz
- fixed buffer overflow in BitsPerSample [#82787]
* Mon Jan 03 2005 - nadvornik@suse.cz
- fixed directory entry count overflow (CAN-2004-1183) [#49469]
- fixed overflow in tiffdump
* Wed Oct 20 2004 - meissner@suse.de
- Do not crash if we are using unsupported codecs (like OJPEG).
* Tue Oct 12 2004 - nadvornik@suse.cz
- do not call TIFFTileSize with uninitialized values [#44635]
- prevent division by zero
* Thu Oct 07 2004 - pmladek@suse.cz
- fixed much more buffer overflows (the older tiff-alt-bound-CheckMalloc.patch
  is included in the new libtiff-3.5.7-alt-bound.patch now) [#44635]
* Thu Sep 30 2004 - nadvornik@suse.cz
- fixed multiple buffer overflows - CAN-2004-0803 [#44635]
- disabled old jpeg support because of security problems [#45116]
* Wed May 21 2003 - ro@suse.de
- remove cvs subdirs
* Sat Jul 27 2002 - kukuk@suse.de
- Provide libtiff-devel in libtiff [Bug #17260]
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jul 03 2002 - nadvornik@suse.cz
- fixed segfault in fax2tiff [bug #16818]
- fixed size of int32 on 64bit architectures
* Wed Jun 26 2002 - ro@suse.de
- fixed directory permissions
* Wed Jun 19 2002 - nadvornik@suse.cz
- compiled with OJPEG_SUPPORT [bug #16408]
* Thu Apr 18 2002 - kukuk@suse.de
- Fix to compile on lib64 architectures
* Wed Feb 06 2002 - coolo@suse.de
- use %%_libdir
* Thu Jan 24 2002 - okir@suse.de
- Fixed a tempfile race in fax2ps
* Tue Dec 11 2001 - nadvornik@suse.cz
- updated to 3.5.7: bugfix release
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - schwab@suse.de
- Fix for ia64.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Thu May 25 2000 - schwab@suse.de
- Fix dso configure check for ia64.
* Thu May 11 2000 - nadvornik@suse.cz
- update to 3.5.5
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Mon Jan 03 2000 - schwab@suse.de
- Update to 3.5.4 (Y2K fix)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 13 1999 - ro@suse.de
- respect systems where libc is libc.so.6.1 (alpha)
* Wed Nov 25 1998 - ro@suse.de
- update to 3.4 (final) named 3.4.final for rpm
- moved from /usr/X11R6 to /usr
* Wed Jul 29 1998 - werner@suse.de
- Link shared libs explicit with -lc
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
